OCamllabs icon Home|Differences with the last checks|Previous runs


Building on x86-bm-c2.sw.ocaml.org

(from ocaml/opam:debian-unstable)
2024-06-30 16:09.08 ---> using "0acd5aeaa8f7bc314514d9795d14a7f12ec72a6a5b11c5904350189734c6859b" from cache

/: (user (uid 1000) (gid 1000))

/: (env OPAMPRECISETRACKING 1)

/: (env OPAMUTF8 never)

/: (env OPAMEXTERNALSOLVER builtin-0install)

/: (env OPAMCRITERIA +removed)

/: (run (shell "sudo ln -f /usr/bin/opam-dev /usr/bin/opam"))
2024-06-30 16:09.08 ---> using "65c3237f501f7c75f3828458ecf2342bc41c98aaef8c6a7fd82bf46a58cb258c" from cache

/: (run (network host)
        (shell "rm -rf ~/opam-repository && git clone -q 'https://github.com/ocaml/opam-repository' ~/opam-repository && git -C ~/opam-repository checkout -q 3bcb45c36ed254e850b498bff678e3e5848b23e1"))
2024-06-30 16:09.08 ---> using "3d0bfbfa177ca2531fcfa9e2869627278a2c31cf290ac589bbf0639aba3b017c" from cache

/: (run (shell "rm -rf ~/.opam && opam init -ya --bare --config ~/.opamrc-sandbox ~/opam-repository"))
Configuring from /home/opam/.opamrc-sandbox, then /home/opam/.opamrc, and finally from built-in defaults.
Checking for available remotes: rsync and local, git.
  - you won't be able to use mercurial repositories unless you install the hg command on your system.
  - you won't be able to use darcs repositories unless you install the darcs command on your system.


<><> Fetching repository information ><><><><><><><><><><><><><><><><><><><><><>
[default] Initialised

User configuration:
  ~/.profile is already up-to-date.
[NOTE] Make sure that ~/.profile is well sourced in your ~/.bashrc.

2024-06-30 16:09.08 ---> using "5dff26d510618c1d48fe6b00f268416e83e2cb4c80c378ed525d97eb709030a0" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam switch create --repositories=default '4.11' '4.11.2'"))

<><> Installing new switch packages <><><><><><><><><><><><><><><><><><><><><><>
Switch invariant: ["ocaml-base-compiler" {= "4.11.2"} | "ocaml-system" {= "4.11.2"}]

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved ocaml-config.1  (cached)
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> retrieved ocaml-base-compiler.4.11.2  (cached)
-> installed ocaml-base-compiler.4.11.2
-> installed ocaml-config.1
-> installed ocaml.4.11.2
Done.
# Run eval $(opam env --switch=4.11) to update the current shell environment
2024-06-30 16:09.08 ---> using "9409b26e73b81fed238aef1092cad5f821653c30927d53e91a410deb62ec1f4b" from cache

/: (run (network host)
        (shell "opam update --depexts"))
+ /usr/bin/sudo "apt-get" "update"
- Get:1 http://deb.debian.org/debian unstable InRelease [198 kB]
- Get:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index [63.6 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2024-06-30-1411.31-F-2024-06-27-0211.32.pdiff [248 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2024-06-30-1411.31-F-2024-06-27-0211.32.pdiff [248 kB]
- Fetched 510 kB in 3s (184 kB/s)
- Reading package lists...
- 
2024-06-30 16:09.08 ---> using "18b432a03780d0944042407005666a8f4823e5a516209c12f32125975eac5b2e" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell  "\
               \nopam remove -y \"acp4.1.0.1\"\
               \nopam install -vy \"acp4.1.0.1\"\
               \nres=$?\
               \nif [ $res = 31 ]; then\
               \n    if opam show -f x-ci-accept-failures: \"acp4.1.0.1\" | grep -q '\"debian-unstable\"'; then\
               \n        echo \"This package failed and has been disabled for CI using the 'x-ci-accept-failures' field.\"\
               \n        exit 69\
               \n    fi\
               \nfi\
               \n\
               \n\
               \nexit $res\
               \n"))
[NOTE] acp4.1.0.1 is not installed.

Nothing to do.
The following actions will be performed:
=== install 15 packages
  - install acp4          1.0.1
  - install batteries     3.8.0  [required by acp4]
  - install bst           7.1.0  [required by acp4]
  - install camlp-streams 5.0.1  [required by batteries]
  - install conf-autoconf 0.2    [required by cpu]
  - install cpm           12.2.0 [required by acp4]
  - install cpu           2.0.0  [required by parany]
  - install dolog         6.0.0  [required by acp4]
  - install dune          3.16.0 [required by acp4]
  - install line_oriented 1.3.0  [required by acp4]
  - install minicli       5.0.2  [required by acp4]
  - install num           1.5    [required by batteries]
  - install ocamlfind     1.9.6  [required by batteries]
  - install parany        14.0.1 [required by acp4]
  - install vector3       1.0.0  [required by acp4]

The following system packages will first need to be installed:
    autoconf

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>

opam believes some required external dependencies are missing. opam can:
> 1. Run apt-get to install them (may need root/sudo access)
  2. Display the recommended apt-get command and wait while you run it manually (e.g. in another terminal)
  3. Continue anyway, and, upon success, permanently register that this external dependency is present, but not detectable
  4. Abort the installation

[1/2/3/4] 1

+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "autoconf"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package m4.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 19416 files and directories currently installed.)
- Preparing to unpack .../archives/m4_1.4.19-4_amd64.deb ...
- Unpacking m4 (1.4.19-4) ...
- Selecting previously unselected package autoconf.
- Preparing to unpack .../autoconf_2.71-3_all.deb ...
- Unpacking autoconf (2.71-3) ...
- Selecting previously unselected package autotools-dev.
- Preparing to unpack .../autotools-dev_20220109.1_all.deb ...
- Unpacking autotools-dev (20220109.1) ...
- Selecting previously unselected package automake.
- Preparing to unpack .../automake_1%3a1.16.5-1.3_all.deb ...
- Unpacking automake (1:1.16.5-1.3) ...
- Setting up m4 (1.4.19-4) ...
- Setting up autotools-dev (20220109.1) ...
- Setting up autoconf (2.71-3) ...
- Setting up automake (1:1.16.5-1.3) ...
- update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/45: [acp4.1.0.1: http]
Processing  2/45: [acp4.1.0.1: http] [batteries.3.8.0: extract]
Processing  3/45: [acp4.1.0.1: http] [batteries.3.8.0: extract] [bst.7.1.0: extract]
-> retrieved batteries.3.8.0  (cached)
Processing  3/45: [acp4.1.0.1: http] [bst.7.1.0: extract]
Processing  4/45: [acp4.1.0.1: http] [bst.7.1.0: extract] [camlp-streams.5.0.1: extract]
-> retrieved bst.7.1.0  (cached)
Processing  4/45: [acp4.1.0.1: http] [camlp-streams.5.0.1: extract]
Processing  5/45: [acp4.1.0.1: http] [camlp-streams.5.0.1: extract]
Processing  6/45: [acp4.1.0.1: http] [camlp-streams.5.0.1: extract] [cpm.12.2.0: extract]
Processing  7/45: [acp4.1.0.1: http] [camlp-streams.5.0.1: extract] [cpm.12.2.0: extract] [conf-autoconf: autoconf]
-> retrieved camlp-streams.5.0.1  (cached)
Processing  7/45: [acp4.1.0.1: http] [cpm.12.2.0: extract] [conf-autoconf: autoconf]
Processing  8/45: [acp4.1.0.1: http] [cpm.12.2.0: extract] [cpu.2.0.0: extract] [conf-autoconf: autoconf]
-> retrieved cpm.12.2.0  (cached)
Processing  8/45: [acp4.1.0.1: http] [cpu.2.0.0: extract] [conf-autoconf: autoconf]
Processing  9/45: [acp4.1.0.1: http] [cpu.2.0.0: extract] [dolog.6.0.0: extract] [conf-autoconf: autoconf]
-> retrieved cpu.2.0.0  (cached)
Processing  9/45: [acp4.1.0.1: http] [dolog.6.0.0: extract] [conf-autoconf: autoconf]
Processing 10/45: [acp4.1.0.1: http] [dolog.6.0.0: extract] [dune.3.16.0: extract] [conf-autoconf: autoconf]
-> retrieved dolog.6.0.0  (cached)
Processing 10/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [conf-autoconf: autoconf]
Processing 11/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [line_oriented.1.3.0: extract] [conf-autoconf: autoconf]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "autoconf" "-V" (CWD=/home/opam/.opam/4.11/.opam-switch/build/conf-autoconf.0.2)
- autoconf (GNU Autoconf) 2.71
- Copyright (C) 2021 Free Software Foundation, Inc.
- License GPLv3+/Autoconf: GNU GPL version 3 or later
- <https://gnu.org/licenses/gpl.html>, <https://gnu.org/licenses/exceptions.html>
- This is free software: you are free to change and redistribute it.
- There is NO WARRANTY, to the extent permitted by law.
- 
- Written by David J. MacKenzie and Akim Demaille.
-> compiled  conf-autoconf.0.2
Processing 11/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [line_oriented.1.3.0: extract]
-> installed conf-autoconf.0.2
Processing 12/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [line_oriented.1.3.0: extract]
-> retrieved line_oriented.1.3.0  (cached)
Processing 12/45: [acp4.1.0.1: http] [dune.3.16.0: extract]
Processing 13/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [minicli.5.0.2: extract]
-> retrieved minicli.5.0.2  (cached)
Processing 13/45: [acp4.1.0.1: http] [dune.3.16.0: extract]
Processing 14/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [num.1.5: extract]
-> retrieved num.1.5  (cached)
Processing 14/45: [acp4.1.0.1: http] [dune.3.16.0: extract]
Processing 15/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [ocamlfind.1.9.6: extract]
Processing 16/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [ocamlfind.1.9.6: extract] [num: make opam-legacy]
-> retrieved ocamlfind.1.9.6  (cached)
Processing 16/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [num: make opam-legacy]
Processing 17/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [parany.14.0.1: extract] [num: make opam-legacy]
[ocamlfind: patch] applying 0001-Harden-test-for-OCaml-5.patch
Processing 18/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [parany.14.0.1: extract] [num: make opam-legacy] [ocamlfind: patch]
-> retrieved parany.14.0.1  (cached)
Processing 18/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [num: make opam-legacy] [ocamlfind: patch]
Processing 19/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [vector3.1.0.0: extract] [num: make opam-legacy] [ocamlfind: patch]
Processing 19/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [vector3.1.0.0: extract] [num: make opam-legacy] [ocamlfind: ./configure]
-> retrieved vector3.1.0.0  (cached)
Processing 19/45: [acp4.1.0.1: http] [dune.3.16.0: extract] [num: make opam-legacy] [ocamlfind: ./configure]
Processing 19/45: [acp4.1.0.1: extract] [dune.3.16.0: extract] [num: make opam-legacy] [ocamlfind: ./configure]
-> retrieved acp4.1.0.1  (https://github.com/tsudalab/ACP4/archive/refs/tags/v1.0.1.tar.gz)
Processing 19/45: [dune.3.16.0: extract] [num: make opam-legacy] [ocamlfind: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./configure" "-bindir" "/home/opam/.opam/4.11/bin" "-sitelib" "/home/opam/.opam/4.11/lib" "-mandir" "/home/opam/.opam/4.11/man" "-config" "/home/opam/.opam/4.11/lib/findlib.conf" "-no-custom" "-no-camlp4" (CWD=/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6)
- Welcome to findlib version 1.9.6
- Configuring core...
- Checking for #remove_directory...
- Testing threading model...
- systhread_supported: true
- Testing DLLs...
- Testing whether ppxopt can be supported...
- Checking for ocamlc -opaque...
- Checking for ocamlopt -g...
- Querying installation: META list not found
- make install will double-check installed META files
- Configuring libraries...
- unix: found
- dynlink: found
- bigarray: found
- compiler-libs: found
- dbm: not present (normal since 4.00)
- graphics: not present (normal since 4.09)
- num: not present (normal since 4.06)
- ocamlbuild: not present (normal since 4.03)
- ocamldoc: found (in +ocamldoc)
- raw_spacetime: found
- threads: found (in +threads)
- str: found
- labltk: not present (normal since 4.02)
- native dynlink: found
- camlp4: disabled
- bytes: found, installing fake library
- Configuration for stdlib written to site-lib-src/stdlib/META
- Configuration for unix written to site-lib-src/unix/META
- Configuration for dynlink written to site-lib-src/dynlink/META
- Configuration for bigarray written to site-lib-src/bigarray/META
- Configuration for compiler-libs written to site-lib-src/compiler-libs/META
- Configuration for ocamldoc written to site-lib-src/ocamldoc/META
- Configuration for raw_spacetime written to site-lib-src/raw_spacetime/META
- Configuration for threads written to site-lib-src/threads/META
- Configuration for str written to site-lib-src/str/META
- Configuration for bytes written to site-lib-src/bytes/META
- Detecting compiler arguments: (extractor built) ok
- 
- About the OCAML core installation:
-     Standard library:      /home/opam/.opam/4.11/lib/ocaml
-     Binaries:              /home/opam/.opam/4.11/bin
-     Manual pages:          /home/opam/.opam/4.11/man
-     Multi-threading type:  posix
- The directory of site-specific packages will be
-     site-lib:              /home/opam/.opam/4.11/lib
- The configuration file is written to:
-     findlib config file:   /home/opam/.opam/4.11/lib/findlib.conf
- Software will be installed:
-     Libraries:             in <site-lib>/findlib
-     Binaries:              /home/opam/.opam/4.11/bin
-     Manual pages:          /home/opam/.opam/4.11/man
-     topfind script:        /home/opam/.opam/4.11/lib/ocaml
- Topfind ppxopt support:    yes
- Toolbox:                   no
- Link custom runtime:       no
- Need bytes compatibility:  no
- 
- Configuration has been written to Makefile.config
- 
- You can now do 'make all', and optionally 'make opt', to build ocamlfind.
Processing 19/45: [dune.3.16.0: extract] [num: make opam-legacy] [ocamlfind: make all]
-> retrieved dune.3.16.0  (cached)
Processing 19/45: [num: make opam-legacy] [ocamlfind: make all]
Processing 20/45: [dune: ocaml 39] [num: make opam-legacy] [ocamlfind: make all]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "PROFILE=release" "opam-legacy" (CWD=/home/opam/.opam/4.11/.opam-switch/build/num.1.5)
- make -C src all
- make[1]: Entering directory '/home/opam/.opam/4.11/.opam-switch/build/num.1.5/src'
- ocamlc -ccopt -DBNG_ARCH_amd64 -c bng.c
- ocamlc -ccopt -DBNG_ARCH_amd64 -c nat_stubs.c
- ocamlmklib -oc nums bng.o nat_stubs.o
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c int_misc.mli
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c int_misc.ml
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c nat.mli
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c nat.ml
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c big_int.mli
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c big_int.ml
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c arith_flags.mli
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c arith_flags.ml
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c ratio.mli
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c ratio.ml
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c num.mli
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c num.ml
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c arith_status.mli
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c arith_status.ml
- ocamlmklib -o nums -oc nums -linkall int_misc.cmo nat.cmo big_int.cmo arith_flags.cmo ratio.cmo num.cmo arith_status.cmo
- cp ../toplevel/num_top_printers.mli ../toplevel/num_top.mli ../toplevel/num_top_printers.ml ../toplevel/num_top.ml .
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c num_top_printers.mli
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c num_top_printers.ml
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c num_top.mli
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c num_top.ml
- ocamlc -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -a -o num_top.cma num_top_printers.cmo num_top.cmo
- echo 'version = "1.6~dev"' > META.top
- cat META.num-top.in >> META.top
- ocamlopt -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c int_misc.ml
- ocamlopt -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c nat.ml
- ocamlopt -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c big_int.ml
- ocamlopt -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c arith_flags.ml
- ocamlopt -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c ratio.ml
- ocamlopt -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c num.ml
- ocamlopt -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -c arith_status.ml
- ocamlmklib -o nums -oc nums -linkall int_misc.cmx nat.cmx big_int.cmx arith_flags.cmx ratio.cmx num.cmx arith_status.cmx
- ocamlopt -w +a-4-9-41-42-44-45-48  -bin-annot -g -safe-string -strict-sequence -strict-formats -I +compiler-libs -I . -shared -o nums.cmxs nums.cmxa
- make[1]: Leaving directory '/home/opam/.opam/4.11/.opam-switch/build/num.1.5/src'
- cp src/num-legacy.install num.install
-> compiled  num.1.5
Processing 20/45: [dune: ocaml 39] [ocamlfind: make all]
-> installed num.1.5
Processing 21/45: [dune: ocaml 39] [ocamlfind: make all]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "all" (CWD=/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6)
- for p in findlib; do ( cd src/$p; make all ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6/src/findlib'
- ocamllex fl_meta.mll
- 22 states, 392 transitions, table size 1700 bytes
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib_config.mlp | \
-          ../../tools/patch '@CONFIGFILE@' '/home/opam/.opam/4.11/lib/findlib.conf' | \
-          ../../tools/patch '@STDLIB@' '/home/opam/.opam/4.11/lib/ocaml' | \
- 	sed -e 's;@AUTOLINK@;true;g' \
- 	    -e 's;@SYSTEM@;linux;g' \
- 	     >findlib_config.ml
- if [ "true" = "true" ]; then                 \
- 	cp topfind.ml.in topfind.ml;                             \
- else                                                             \
- 	sed -e '/PPXOPT_BEGIN/,/PPXOPT_END/ d' topfind.ml.in     \
- 		> topfind.ml ;                                   \
- fi
- ocamldep *.ml *.mli >depend
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c findlib_config.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_split.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_metatoken.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_meta.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_metascanner.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_metascanner.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_topo.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_topo.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_package_base.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_package_base.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c findlib.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c findlib.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_args.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_lint.ml
- ocamlc -I +compiler-libs -a -o findlib.cma findlib_config.cmo fl_split.cmo fl_metatoken.cmo fl_meta.cmo fl_metascanner.cmo fl_topo.cmo fl_package_base.cmo findlib.cmo fl_args.cmo fl_lint.cmo
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c ocaml_args.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c frontend.ml
- ocamlc -I +compiler-libs  -o ocamlfind -g findlib.cma unix.cma \
-            -I +unix -I +dynlink ocaml_args.cmo frontend.cmo
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c topfind.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c topfind.ml
- ocamlc -I +compiler-libs -a -o findlib_top.cma topfind.cmo
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat topfind_rd1.p | \
-          ../../tools/patch '@SITELIB@' '/home/opam/.opam/4.11/lib' \
-     	    >topfind
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_dynload.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_dynload.ml
- ocamlc -I +compiler-libs -a -o findlib_dynload.cma fl_dynload.cmo
- make[1]: Leaving directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6/src/findlib'
- make all-config
- make[1]: Entering directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6'
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib.conf.in | \
-      tools/patch '@SITELIB@' '/home/opam/.opam/4.11/lib' | \
- 		 tools/patch '@FINDLIB_PATH@' '/home/opam/.opam/4.11/lib' -p >findlib.conf
- if ./tools/cmd_from_same_dir ocamlc; then \
- 	echo 'ocamlc="ocamlc.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamlopt; then \
- 	echo 'ocamlopt="ocamlopt.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldep; then \
- 	echo 'ocamldep="ocamldep.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldoc; then \
- 	echo 'ocamldoc="ocamldoc.opt"' >>findlib.conf; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6'
Processing 21/45: [dune: ocaml 39] [ocamlfind: make opt]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "opt" (CWD=/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6)
- for p in findlib; do ( cd src/$p; make opt ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6/src/findlib'
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c findlib_config.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_split.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_metatoken.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_meta.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_metascanner.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_topo.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_package_base.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c findlib.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_args.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_lint.ml
- ocamlopt -I +compiler-libs -g -a -o findlib.cmxa findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib.cmxs findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c ocaml_args.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c frontend.ml
- ocamlopt -I +compiler-libs -g -o ocamlfind_opt findlib.cmxa unix.cmxa \
- 	   -I +unix -I +dynlink ocaml_args.cmx frontend.cmx
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c topfind.ml
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Topdirs, and its interface was not compiled with -opaque
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Toploop, and its interface was not compiled with -opaque
- ocamlopt -I +compiler-libs -g -a -o findlib_top.cmxa topfind.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_top.cmxs topfind.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_dynload.ml
- ocamlopt -I +compiler-libs -g -a -o findlib_dynload.cmxa fl_dynload.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_dynload.cmxs fl_dynload.cmx; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6/src/findlib'
-> compiled  ocamlfind.1.9.6
Processing 21/45: [dune: ocaml 39]
Processing 22/45: [dune: ocaml 39] [ocamlfind: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" (CWD=/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6)
- if [ "1" -eq 1 ]; then \
-     for x in camlp4 dbm graphics labltk num ocamlbuild; do \
-       if [ -f "/home/opam/.opam/4.11/lib/$x/META" ]; then \
-         if ! grep -Fq '[distributed with Ocaml]' "//home/opam/.opam/4.11/lib/$x/META"; then \
-           rm -f site-lib-src/$x/META; \
-         fi; \
-       fi; \
-     done; \
-     test -f "site-lib-src/num/META" || rm -f "site-lib-src/num-top/META"; \
-   fi
- echo 'SITELIB_META =' > Makefile.packages.in
- for x in `ls site-lib-src`; do test ! -f "site-lib-src/$x/META" || echo $x >> Makefile.packages.in; done
- tr '\n' ' ' < Makefile.packages.in > Makefile.packages
- rm Makefile.packages.in
- install -d "/home/opam/.opam/4.11/bin"
- install -d "/home/opam/.opam/4.11/man"
- make install-config
- make[1]: Entering directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6'
- install -d "`dirname \"/home/opam/.opam/4.11/lib/findlib.conf\"`"
- test -f "/home/opam/.opam/4.11/lib/findlib.conf" || install -c findlib.conf "/home/opam/.opam/4.11/lib/findlib.conf"
- make[1]: Leaving directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6'
- for p in findlib; do ( cd src/$p; make install ); done
- make[1]: Entering directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6/src/findlib'
- install -d "/home/opam/.opam/4.11/lib/findlib"
- install -d "/home/opam/.opam/4.11/bin"
- test 1 -eq 0 || install -d "/home/opam/.opam/4.11/lib/ocaml"
- test 1 -eq 0 || install -c topfind "/home/opam/.opam/4.11/lib/ocaml/"
- files=` ../../tools/collect_files ../../Makefile.config \
- findlib.cmi findlib.mli findlib.cma findlib.cmxa findlib.a findlib.cmxs \
- findlib_config.cmi findlib_config.ml topfind.cmi topfind.mli \
- fl_args.cmi fl_lint.cmi fl_meta.cmi fl_split.cmi fl_topo.cmi ocaml_args.cmi \
- fl_package_base.mli fl_package_base.cmi fl_metascanner.mli fl_metascanner.cmi \
- fl_metatoken.cmi findlib_top.cma findlib_top.cmxa findlib_top.a findlib_top.cmxs \
- findlib_dynload.cma findlib_dynload.cmxa findlib_dynload.a findlib_dynload.cmxs fl_dynload.mli fl_dynload.cmi \
- META` && \
- install -c $files "/home/opam/.opam/4.11/lib/findlib/"
- f="ocamlfind"; { test -f ocamlfind_opt && f="ocamlfind_opt"; }; \
- install -c $f "/home/opam/.opam/4.11/bin/ocamlfind"
- # the following "if" block is only needed for 4.00beta2
- if [ 1 -eq 0 -a -f "/home/opam/.opam/4.11/lib/ocaml/compiler-libs/topdirs.cmi" ]; then \
-     cd "/home/opam/.opam/4.11/lib/ocaml/compiler-libs/"; \
-     install -c topdirs.cmi toploop.cmi "/home/opam/.opam/4.11/lib/findlib/"; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6/src/findlib'
- make install-meta
- make[1]: Entering directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6'
- for x in bigarray bytes compiler-libs dynlink ocamldoc raw_spacetime stdlib str threads unix ; do install -d "/home/opam/.opam/4.11/lib/$x"; install -c site-lib-src/$x/META "/home/opam/.opam/4.11/lib/$x/META.tmp" && mv "/home/opam/.opam/4.11/lib/$x/META.tmp" "/home/opam/.opam/4.11/lib/$x/META"; done
- install -d "/home/opam/.opam/4.11/lib/findlib"; install -c Makefile.packages "/home/opam/.opam/4.11/lib/findlib/Makefile.packages"
- make[1]: Leaving directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6'
- test ! -f 'site-lib-src/num-top/META' || { cd src/findlib; make install-num-top; }
- test ! -f 'site-lib-src/camlp4/META' ||	install -c tools/safe_camlp4 "/home/opam/.opam/4.11/bin"
- make install-doc
- make[1]: Entering directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6'
- install -d "/home/opam/.opam/4.11/man/man1" "/home/opam/.opam/4.11/man/man3" "/home/opam/.opam/4.11/man/man5"
- install -c doc/ref-man/ocamlfind.1 "/home/opam/.opam/4.11/man/man1"
- install -c doc/ref-man/META.5 doc/ref-man/site-lib.5 doc/ref-man/findlib.conf.5 "/home/opam/.opam/4.11/man/man5"
- make[1]: Leaving directory '/home/opam/.opam/4.11/.opam-switch/build/ocamlfind.1.9.6'
-> installed ocamlfind.1.9.6
Processing 22/45: [dune: ocaml 39]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "boot/bootstrap.ml" "-j" "39" (CWD=/home/opam/.opam/4.11/.opam-switch/build/dune.3.16.0)
- ocamlc -output-complete-exe -w -24 -g -o .duneboot.exe -I boot unix.cma boot/libs.ml boot/duneboot.ml
- ./.duneboot.exe -j 39
- cd _boot && /home/opam/.opam/4.11/bin/ocamlopt.opt -c -g -no-alias-deps -w -49-6 -alert -unstable -I +threads dune_util__Gc.ml
- File "src/dune_util/gc.ml", lines 78-95, characters 5-6:
- Warning 23: all the fields are explicitly listed in this record:
- the 'with' clause is useless.
- 

Processing 22/45: [dune: ./_boot/dune.exe build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./_boot/dune.exe" "build" "dune.install" "--release" "--profile" "dune-bootstrap" "-j" "39" (CWD=/home/opam/.opam/4.11/.opam-switch/build/dune.3.16.0)
-> compiled  dune.3.16.0
-> installed dune.3.16.0
Processing 24/45: [camlp-streams: dune build]
Processing 25/45: [camlp-streams: dune build] [cpu: autoconf]
Processing 26/45: [camlp-streams: dune build] [cpu: autoconf] [dolog: dune build]
Processing 27/45: [camlp-streams: dune build] [cpu: autoconf] [dolog: dune build] [minicli: dune build]
Processing 28/45: [camlp-streams: dune build] [cpu: autoconf] [dolog: dune build] [minicli: dune build] [vector3: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "vector3" "-j" "39" (CWD=/home/opam/.opam/4.11/.opam-switch/build/vector3.1.0.0)
-> compiled  vector3.1.0.0
Processing 28/45: [camlp-streams: dune build] [cpu: autoconf] [dolog: dune build] [minicli: dune build]
-> installed vector3.1.0.0
Processing 29/45: [camlp-streams: dune build] [cpu: autoconf] [dolog: dune build] [minicli: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "dolog" "-j" "39" (CWD=/home/opam/.opam/4.11/.opam-switch/build/dolog.6.0.0)
-> compiled  dolog.6.0.0
Processing 29/45: [camlp-streams: dune build] [cpu: autoconf] [minicli: dune build]
-> installed dolog.6.0.0
Processing 30/45: [camlp-streams: dune build] [cpu: autoconf] [minicli: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "minicli" "-j" "39" (CWD=/home/opam/.opam/4.11/.opam-switch/build/minicli.5.0.2)
-> compiled  minicli.5.0.2
Processing 30/45: [camlp-streams: dune build] [cpu: autoconf]
-> installed minicli.5.0.2
Processing 31/45: [camlp-streams: dune build] [cpu: autoconf]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "autoconf" (CWD=/home/opam/.opam/4.11/.opam-switch/build/cpu.2.0.0)
- configure.ac:8: warning: The macro `AC_HEADER_STDC' is obsolete.
- configure.ac:8: You should run autoupdate.
- ./lib/autoconf/headers.m4:704: AC_HEADER_STDC is expanded from...
- configure.ac:8: the top level
Processing 31/45: [camlp-streams: dune build] [cpu: autoheader]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "camlp-streams" "-j" "39" "@install" (CWD=/home/opam/.opam/4.11/.opam-switch/build/camlp-streams.5.0.1)
-> compiled  camlp-streams.5.0.1
Processing 31/45: [cpu: autoheader]
-> installed camlp-streams.5.0.1
Processing 32/45: [cpu: autoheader]
Processing 33/45: [batteries: dune build] [cpu: autoheader]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "autoheader" (CWD=/home/opam/.opam/4.11/.opam-switch/build/cpu.2.0.0)
Processing 33/45: [batteries: dune build] [cpu: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./configure" (CWD=/home/opam/.opam/4.11/.opam-switch/build/cpu.2.0.0)
- checking for ocamlc... ocamlc
- OCaml version is 4.11.2
- OCaml library path is /home/opam/.opam/4.11/lib/ocaml
- checking for ocamlopt... ocamlopt
- checking for ocamlc.opt... ocamlc.opt
- checking for ocamlopt.opt... ocamlopt.opt
- checking for dynlink.cmxa... yes
- checking for ocaml... ocaml
- checking for ocamldep... ocamldep
- checking for ocamlmktop... ocamlmktop
- checking for ocamlmklib... ocamlmklib
- checking for ocamldoc... ocamldoc
- checking for ocamlbuild... no
- checking for gcc... gcc
- checking whether the C compiler works... yes
- checking for C compiler default output file name... a.out
- checking for suffix of executables... 
- checking whether we are cross compiling... no
- checking for suffix of object files... o
- checking whether the compiler supports GNU C... yes
- checking whether gcc accepts -g... yes
- checking for gcc option to enable C11 features... none needed
- checking for stdio.h... yes
- checking for stdlib.h... yes
- checking for string.h... yes
- checking for inttypes.h... yes
- checking for stdint.h... yes
- checking for strings.h... yes
- checking for sys/stat.h... yes
- checking for sys/types.h... yes
- checking for unistd.h... yes
- checking for grep that handles long lines and -e... /usr/bin/grep
- checking for egrep... /usr/bin/grep -E
- checking for sched.h... yes
- checking for gcc options needed to detect all undeclared functions... none needed
- checking whether sched_setaffinity is declared... yes
- checking for mach/thread_policy.h... no
- checking whether thread_policy_set is declared... no
- configure: creating ./config.status
- config.status: creating src/config.h
Processing 33/45: [batteries: dune build] [cpu: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "cpu" "-j" "39" (CWD=/home/opam/.opam/4.11/.opam-switch/build/cpu.2.0.0)
-> compiled  cpu.2.0.0
Processing 33/45: [batteries: dune build]
-> installed cpu.2.0.0
Processing 34/45: [batteries: dune build]
Processing 35/45: [batteries: dune build] [parany: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "parany" "-j" "39" (CWD=/home/opam/.opam/4.11/.opam-switch/build/parany.14.0.1)
-> compiled  parany.14.0.1
Processing 35/45: [batteries: dune build]
-> installed parany.14.0.1
Processing 36/45: [batteries: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "batteries" "-j" "39" "@install" (CWD=/home/opam/.opam/4.11/.opam-switch/build/batteries.3.8.0)
-> compiled  batteries.3.8.0
-> installed batteries.3.8.0
Processing 38/45: [bst: dune build]
Processing 39/45: [bst: dune build] [cpm: dune build]
Processing 40/45: [bst: dune build] [cpm: dune build] [line_oriented: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "line_oriented" "-j" "39" (CWD=/home/opam/.opam/4.11/.opam-switch/build/line_oriented.1.3.0)
-> compiled  line_oriented.1.3.0
Processing 40/45: [bst: dune build] [cpm: dune build]
-> installed line_oriented.1.3.0
Processing 41/45: [bst: dune build] [cpm: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "bst" "-j" "39" (CWD=/home/opam/.opam/4.11/.opam-switch/build/bst.7.1.0)
-> compiled  bst.7.1.0
Processing 41/45: [cpm: dune build]
-> installed bst.7.1.0
Processing 42/45: [cpm: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "cpm" "-j" "39" (CWD=/home/opam/.opam/4.11/.opam-switch/build/cpm.12.2.0)
-> compiled  cpm.12.2.0
-> installed cpm.12.2.0
Processing 44/45: [acp4: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "acp4" "-j" "39" (CWD=/home/opam/.opam/4.11/.opam-switch/build/acp4.1.0.1)
-> compiled  acp4.1.0.1
Processing 45/45: [acp4: cp]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "cp" "bin/acp4_ph4.py" "/home/opam/.opam/4.11/bin/acp4_ph4.py" (CWD=/home/opam/.opam/4.11/.opam-switch/build/acp4.1.0.1)
-> installed acp4.1.0.1
Done.
# Run eval $(opam env) to update the current shell environment
2024-06-30 16:10.06 ---> saved as "71d7ec32a569696c7428c1f7efdae7abb8f7cb39255c8f650ac6e1dca9382986"
Job succeeded